Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011336ScribusScripterpublic2013-01-06 05:102014-10-22 00:03
ReporterGordCaswell 
Assigned ToJLuc 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.4.1 
Target Version1.5.0Fixed in Version 
Summary0011336: Startup script crashes Scribus with EXCEPTION_ACCESS_VIOLATION
DescriptionWhen attempting to run Scribus with a startup script selected under Preferences > Scripter > Enable Extension scripts, Scribus crashes with this message: "Scribus crashes due to the following exception: EXCEPTION_ACCESS_VIOLATION".
Steps To Reproduce1. Select the Sample1.py file in %SCRIBUSINSTALLPATH%\share\samples\ in Preferences > Scripter > Enable Extension scripts
2. Apply the settings & quit Scribus
3. Attempt to run Scribus again.
4. Crash.
Additional InformationIt may just be that the script selected is not meant to be a startup script. If this is the case, please note such.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0029613)
jghali (administrator)
2013-01-06 15:37

Sample1.py is not valid as a startup script : a startup script cannot use any function provided by scribus as it is executed during scribus initialization (Note : there is already an open issue which propose to change this, see 0008552).

Startup scripts are designed to be used in order to initialize modules such a PyQt4 in order to enable their later use inside scribus scripts.

To fix the crash, edit %USERPROFILE%\AppData\Roaming\Scribus\prefs140.xml, search the string "extensionscripts" and reset the value attribute in the line containing it to "0".
(0032756)
Kunda (manager)
2014-07-15 00:07

Since this is a crash bug I've added to 1.5.0 list.
(0034040)
JLuc (updater)
2014-10-17 20:07

fixed with 0012572 patch
(0034102)
JLuc (updater)
2014-10-21 23:05

This bug should now be fixed. Can you confirm ?

- Issue History
Date Modified Username Field Change
2013-01-06 05:10 GordCaswell New Issue
2013-01-06 15:37 jghali Note Added: 0029613
2014-07-15 00:07 Kunda Note Added: 0032756
2014-07-15 00:07 Kunda Severity minor => crash
2014-07-15 00:07 Kunda Status new => acknowledged
2014-07-15 00:07 Kunda Target Version => 1.5.0
2014-09-11 04:47 Kunda Severity crash => block
2014-10-17 20:07 JLuc Note Added: 0034040
2014-10-21 23:05 JLuc Note Added: 0034102
2014-10-22 00:03 JLuc Status acknowledged => resolved
2014-10-22 00:03 JLuc Resolution open => fixed
2014-10-22 00:03 JLuc Assigned To => JLuc



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker